@article{chawla2002smote,
  title={SMOTE: synthetic minority over-sampling technique},
  author={Chawla, Nitesh V and Bowyer, Kevin W and Hall, Lawrence O and Kegelmeyer, W Philip},
  journal={Journal of artificial intelligence research},
  volume={16},
  pages={321--357},
  year={2002}
}


@online{algcomplexity,
  author = {RUser4512},
  title = {Computational complexity of machine learning algorithms},
  year = 2018,
  url = {https://www.thekerneltrip.com/machine/learning/computational-complexity-learning-algorithms/},
  urldate = {2022-02-17}
}

@techreport{ruping2001svm,
  title={SVM kernels for time series analysis},
  author={R{\"u}ping, Stefan},
  year={2001},
  institution={Technical report}
}

@online{sklearn,
  author = {scikit-learn developers},
  title = {scikit learn User Guide},
  year = 2007--2021,
  url = {https://scikit-learn.org/stable/user_guide.html}
  urldate = {2022-02-21}
}

@online{imblearn,
  author = {imblearn developers},
  title = {imblearn User Guide},
  year = 2014--2021,
  url = {https://imbalanced-learn.org/stable/user_guide.html}
  urldate = {2022-02-21}
}

@online{tslearn,
  author = {Romain Tavenard},
  title = {tslearn User Guide},
  year = 2017,
  url = {https://tslearn.readthedocs.io/en/stable/user_guide/userguide.html}
  urldate = {2022-02-21}
}

@online{cnnts,
  author={Alex},
  title={1-d Convolutional Neural Networks for Time Series: Basic Intuition},
  year=2020,
  url={https://boostedml.com/2020/04/1-d-convolutional-neural-networks-for-time-series-basic-intuition.html}
  urldate = {2022-02-24}
}

@misc{enwiki:1069330375,
  author = "{Wikipedia contributors}",
  title = "Precision and recall --- {Wikipedia}{,} The Free Encyclopedia",
  year = "2022",
  url = "https://en.wikipedia.org/w/index.php?title=Precision_and_recall&oldid=1069330375",
  urldate = {2022-02-14}
}

@online{stackexchange,
  url = {stackexchange.com}
}